%define	upstream_name	 PAR
%define upstream_version 1.007

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl Archive Toolkit
License:    Artistic
Group:      Development/Perl
Url:        http://par.perl.org/
Source0:    http://www.cpan.org/modules/by-module/PAR/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Zip) >= 1.0.0
BuildRequires: perl(AutoLoader) >= 5.660_200
BuildRequires: perl(Compress::Zlib) >= 1.300.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(File::Temp) >= 0.50.0
BuildRequires: perl(PAR::Dist) >= 0.320.0
BuildRequires: perl-devel
BuildRequires: perl-Module-Signature
%description
PAR is a toolkit to use perl scripts and modules stored inside compressed
.par files.

For bundling prerequisite modules of scripts into a PAR file (ala
PerlApp, Perl2exe, or 'perlcc that works'), see "perldoc pp".
For running ".par" files directly, see "perldoc parl".
To generate/execute self-contained perl scripts, see "perldoc par.pl".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%check
# don't run signature test since this package was patched
rm -f SIGNATURE
%make test

%install
%{makeinstall_std}

%files 
%doc AUTHORS ChangeLog META.json META.yml MYMETA.yml README TODO
%{perl_vendorlib}/PAR
%{perl_vendorlib}/PAR.pm
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.7.0-2.mga3
+ Revision: 371157
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.7.0-1.mga3
+ Revision: 315807
- update to 1.007

* Mon Oct 15 2012 jquelin <jquelin> 1.6.0-1.mga3
+ Revision: 306187
- update to 1.006

* Thu Dec 08 2011 kharec <kharec> 1.5.0-1.mga2
+ Revision: 179243
- update to 1.005

* Sun Jan 23 2011 jquelin <jquelin> 1.2.0-1.mga1
+ Revision: 34061
- mageia rebuild
- imported package perl-PAR

